> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/abap-agent-1.5/command-line-reference/setup.md).

# Setup

The `setup` commands let you set up the ABAP Agent and configure it for its first use.

## Set up the Agent

The `setup install` command lets you initialize the ABAP Agent. It does the following:

* Generates a symmetric key that's specific to your machine.
* Creates a default `config.toml` configuration file in the `%programdata%\TRICENTIS\SeaLights\ABAP Agent` directory.

{% tabs %}
{% tab title="Command Prompt" %}
{% code title="Syntax" overflow="wrap" %}

```batch
slabapcli.exe setup install
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code title="Syntax" overflow="wrap" %}

```powershell
.\slabapcli.exe setup install
```

{% endcode %}
{% endtab %}
{% endtabs %}

This command takes no parameters.

### Example

{% code title="Expected output (PowerShell)" overflow="wrap" lineNumbers="true" %}

```log
.\slabapcli.exe setup install
[2025-06-17 08:15:56.388+01:00] [info] Current ANSI Code Page: 65001 (UTF-8) (65001)
[2025-06-17 08:15:56.389+01:00] [info] Config pathname: ../config/config.toml
[2025-06-17 08:15:56.389+01:00] [info] Install default config
[2025-06-17 08:15:56.392+01:00] [info] Installed default config
[2025-06-17 08:15:56.395+01:00] [info] Install symmetric key
[2025-06-17 08:15:56.395+01:00] [info] Create symmetric key
[2025-06-17 08:15:56.398+01:00] [info] Created symmetric key
[2025-06-17 08:15:56.399+01:00] [info] Create IV
[2025-06-17 08:15:56.399+01:00] [info] Created IV
[2025-06-17 08:15:56.400+01:00] [info] Installed symmetric key
[2025-06-17 08:15:56.401+01:00] [info] Install Windows Error Reporting
[2025-06-17 08:15:56.401+01:00] [info] Installed Windows Error Reporting
[2025-06-17 08:15:56.401+01:00] [info] Total time: 00:00:00.013
```

{% endcode %}

{% hint style="warning" %}
**Note:** Be sure to back up your `%programdata%\TRICENTIS\SeaLights\ABAP Agent\config.toml` file.
{% endhint %}

## Migrate a legacy configuration

The `setup migrate` command lets you migrate your `config.toml` file from an earlier version of the ABAP Agent. You won't normally need to run this command because the ABAP Agent's installation program runs it for you automatically if it detects you're on an earlier version.

{% tabs %}
{% tab title="Command Prompt" %}
{% code title="Syntax" overflow="wrap" %}

```batch
slabapcli.exe setup migrate
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code title="Syntax" overflow="wrap" %}

```powershell
.\slabapcli.exe setup migrate
```

{% endcode %}
{% endtab %}
{% endtabs %}

This command takes no parameters.

{% hint style="info" %}
**TODO (from v1.5 draft):** The source Syntax block for this command showed `setup install`. Corrected to `setup migrate` — please confirm. The source Example was empty (expected output to be added).
{% endhint %}

### Example

*Expected output (PowerShell) to be added.*

## Upgrade a configuration

When you migrate a legacy configuration, the `setup uninstall` command disables existing SeaLights Agent tasks in the Windows Task Scheduler. The `setup upgrade` command re-enables each of these tasks. You won't normally need to run this command because the `setup migrate` command runs it automatically.

{% tabs %}
{% tab title="Command Prompt" %}
{% code title="Syntax" overflow="wrap" %}

```batch
slabapcli.exe setup upgrade
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code title="Syntax" overflow="wrap" %}

```powershell
.\slabapcli.exe setup upgrade
```

{% endcode %}
{% endtab %}
{% endtabs %}

This command takes no parameters.

### Example

{% code title="Expected output (PowerShell)" overflow="wrap" lineNumbers="true" %}

```log
.\slabapcli.exe setup upgrade
[2026-06-22 10:57:13.425+01:00] [info] Detected Windows version: Windows 11
[2026-06-22 10:57:13.429+01:00] [info] Config pathname: C:\ProgramData\Tricentis\SeaLights\ABAP Agent\config\config.toml
[2026-06-22 10:57:13.429+01:00] [info] Enable scheduled tasks
[2026-06-22 10:57:13.436+01:00] [info] Enabled task: FOOTPRINTS_MyApp_QAS_PRD_031326-S21
[2026-06-22 10:57:13.436+01:00] [info] Enabled scheduled tasks
```

{% endcode %}

## Disable agent tasks

The `setup uninstall` command disables any existing SeaLights Agent tasks in the Windows Task Scheduler. You won't normally need to run this command because the `setup migrate` command runs it automatically.

{% tabs %}
{% tab title="Command Prompt" %}
{% code title="Syntax" overflow="wrap" %}

```batch
slabapcli.exe setup uninstall
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code title="Syntax" overflow="wrap" %}

```powershell
.\slabapcli.exe setup uninstall
```

{% endcode %}
{% endtab %}
{% endtabs %}

This command takes no parameters.

### Example

{% code title="Expected output (PowerShell)" overflow="wrap" lineNumbers="true" %}

```log
.\slabapcli.exe setup uninstall
[2026-06-22 11:35:21.615+01:00] [info] Detected Windows version: Windows 11
[2026-06-22 11:35:21.620+01:00] [info] Config pathname: C:\ProgramData\Tricentis\SeaLights\ABAP Agent\config\config.toml
[2026-06-22 11:35:21.620+01:00] [info] Disable scheduled tasks
[2026-06-22 11:35:21.639+01:00] [info] Disabled task: FOOTPRINTS_MyApp_QAS_PRD_031326-S21
[2026-06-22 11:35:21.639+01:00] [info] Disabled scheduled tasks
```

{% endcode %}

## Get a health report

The `setup status` command provides a health report for the ABAP Agent which checks the ABAP Agent's connection to SeaLights, and the connectivity of each of your RFC Destinations.

{% tabs %}
{% tab title="Command Prompt" %}
{% code title="Syntax" overflow="wrap" %}

```batch
slabapcli.exe setup status
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code title="Syntax" overflow="wrap" %}

```powershell
.\slabapcli.exe setup status
```

{% endcode %}
{% endtab %}
{% endtabs %}

This command takes no parameters.

### Example

{% code title="Expected output (PowerShell)" overflow="wrap" lineNumbers="true" %}

```log
.\slabapcli.exe setup status
[2026-06-22 11:23:37.616+01:00] [info] Detected Windows version: Windows 11
[2026-06-22 11:23:37.619+01:00] [info] Config pathname: C:\ProgramData\Tricentis\SeaLights\ABAP Agent\config\config.toml
== Agent ==
  Agent version: 2.0.0-alpha.1.20
  Detected Windows version: Windows 11
  Install directory access: OK - current operator and NETWORK SERVICE can read+execute "C:\apps\SLABAPAgent20_27794\bin"
  Install directory access: INFO - NETWORK SERVICE, Authenticated Users has write access; this can be a leftover install-dir ACE from a pre-SLDEV-26588 install. The agent will continue working either way.
  Error: Executable directory - config install "C:\apps\SLABAPAgent20_27794\bin" does not match current executable directory "C:\apps\SLABAPAgent20_617\bin"
  Required executables: OK - watcher.exe and purgeLogs.exe exist in "C:\apps\SLABAPAgent20_617\bin"
  ProgramData config access: OK - current operator and NETWORK SERVICE can read+write "C:\ProgramData\Tricentis\SeaLights\ABAP Agent\config"
  Public userdata access: OK - current operator and NETWORK SERVICE can read+write "C:\ProgramData\Tricentis\SeaLights\ABAP Agent\public"
  Private userdata access: OK - current operator and NETWORK SERVICE can read+write "C:\ProgramData\Tricentis\SeaLights\ABAP Agent\private"
  Watcher logs access: OK - current operator and NETWORK SERVICE can read+write "C:\ProgramData\Tricentis\SeaLights\ABAP Agent\public\Logs\watcher"
  Custom userdata access: default / n/a - configured userdata is under ProgramData
  Error: sapnwrfc.dll - missing at "C:\apps\SLABAPAgent20_27794\bin\sapnwrfc.dll"
  Task Scheduler: OK - service is reachable
== Sealights ==
[2026-06-22 11:23:37.659+01:00] [info] Test SeaLights: abap-demo.sealights.co
  Agent token is valid.
  Sealights connectivity check succeeded.
== RFC destinations ==
  ----------
  RFC destination: S21
[2026-06-22 11:23:38.295+01:00] [info] Testing rfc: S21
  Connected
  System info:
    RFCDBHOST: vwsvtstsap13
    RFCSYSID: S21
    RFCIPADDR: 172.17.0.223
    RFCKERNRL: 785
    RFCSAPRL: 756
  SeaLights ABAP add-on:
    Installed
  SeaLights ABAP add-on version:
    Warning: Add-on version not readable from CVERS: component TRICE not found
  Time synchronization:
    K_DateTime: 2026-06-22 12:23:41
    L_DateTime: 2026-06-22 12:23:36
    Average delay of RFC connection: 00:00:00.0179801
    RFC K_Datetime: 2026-06-22 12:23:41. UTC offset: 02:00:00
    RFC UTC datetime: 2026-06-22 10:23:41
    (Local UTC datetime - RFC UTC datetime) difference: 00:00:01.5409181
    Agent UTC sent to SeaLights : 2026-06-22 10:23:42.923
    SeaLights server UTC        : 2026-06-22 10:23:41.924
    SeaLights - agent offset    : -00:00:00.999
  Authorizations:
    Warning: Required authorization check could not be performed: RFC metadata field extent is out of bounds
  Required tables in DDIC:
    All required tables present in DDIC
  ENHINCINX table access (ENHO support):
    Warning: ENHINCINX not accessible: R3TableReader::getOrigRowLength. no rtab_out. Grant S_TABU_NAM read access to ENHINCINX to enable ENHO enhancement tracking as non-code changes.
  SCMON Configuration:
    Error: SCMON not running (could not read SCMON_CONFIG: RFC metadata field extent is out of bounds)
    If SCMON has not been configured yet, see: https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/abap-agent/install-the-abap-agent/configure-your-qas-systems-to-collect-scmon-data
  SCMON_COLLECT callability:
[2026-06-22 11:23:46.913+01:00] [info] SCMON_COLLECT: Number of records: 2007
    SCMON_COLLECT call succeeded
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/abap-agent-1.5/command-line-reference/setup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
